Error on loading project: Transition transitionclip167 could not be wrapped into an auto transition REMOVING it
Closed, ResolvedPublic

Description

Pitivi also crashes shortly after loading the project, but not sure if this is related.

Running Pitivi from updated flatpak, errors as follows:

0:00:24.395721367 3 0xf2f160 ERROR gestimeline ges-timeline.c:2290:layer_auto_transition_changed_cb:<gestimeline0> Transition transitionclip167 could not be wrapped into an auto transition REMOVING it

0:00:24.475171762 3 0xf2f160 ERROR gestimeline ges-timeline.c:2290:layer_auto_transition_changed_cb:<gestimeline0> Transition transitionclip165 could not be wrapped into an auto transition REMOVING it

Details

Differential Revisions
D1873: timeline: Do not snap object within the moving context
git URI
git://git.pitivi.org/gst-editing-services.git#refs/tags/phabricator/diff/6483
erusan created this task.Jul 17 2017, 7:48 AM
aleb added a subscriber: aleb.Jul 21 2017, 9:25 AM

I've also seen this error about a transition when loading a project. It does not seem to be related to the crash, maybe file a different bug and include the stack trace for the crash: http://developer.pitivi.org/Bug_reporting.html#stack-traces-for-crashes and as much data as possible so we can reproduce it.

aleb moved this task from Backlog to 1.0 on the Pitivi board.Oct 27 2017, 8:32 AM
aleb edited projects, added Pitivi (1.0); removed Pitivi.
aleb assigned this task to thiblahute.Oct 27 2017, 9:36 AM
aleb triaged this task as High priority.Oct 27 2017, 9:40 AM
thiblahute changed the task status from Open to Need Information.Oct 29 2017, 10:42 AM

Please provide us with a way to reproduce otherwise I won't be able to fix that.

aleb changed the task status from Need Information to Open.EditedOct 30 2017, 6:59 PM

I obtained this by trimming both start and end of two clips, moving clip2 adjacent to clip1, then zooming out a bit and shift+dragging the first to the left slowly:

thiblahute set git URI to git://git.pitivi.org/gst-editing-services.git#refs/tags/phabricator/diff/6483.
thiblahute moved this task from Backlog to Needs review on the Pitivi (1.0) board.Oct 31 2017, 8:13 PM
thiblahute closed this task as Closed.Nov 7 2017, 1:27 PM
thiblahute moved this task from Needs review to Done on the Pitivi (1.0) board.Nov 7 2017, 1:29 PM

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/2053.